echo off

set /a cropleft=0
set /a cropright=0
set /a cropup=0
set /a cropdown=0
set output="%~n1_test"

IF "%2" == "left" (
  set /a cropleft=16
)
IF "%2" == "right" (
  set /a cropright=16
)
IF "%2" == "up" (
  set /a cropup=16
)
IF "%2" == "down" (
  set /a cropdown=16
)
IF "%3" == "overwrite" (
  set output="%~n1"
)

REM get image dimensions - needs imagemagick
for /f "tokens=1-2" %%i in ('magick identify -ping -format "%%w %%h" %1') do set W=%%i & set H=%%j

set /a newWidth=%W%
IF %cropleft% gtr 0 (
  set /a newWidth=%W%-%cropleft%
)
IF %cropright% gtr 0 (
  set /a newWidth=%W%-%cropright%
)

set /a newHeight=%H%
IF %cropup% gtr 0 (
  set /a newHeight=%H%-%cropup%
)
IF %cropdown% gtr 0 (
  set /a newHeight=%H%-%cropdown%
)

call %~dp0jpegtran.exe -crop %newWidth%x%newHeight%+%cropleft%+%cropup% %1 %output%.jpg